import { Component, Inject } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';

@Component({
	selector: 'app-glossary-dialog',
	templateUrl: './glossary-dialog.component.html',
	styleUrls: ['./glossary-dialog.component.scss']
})
export class GlossaryDialogComponent {

	constructor(
		public dialogRef: MatDialogRef<GlossaryDialogComponent>,
		@Inject(MAT_DIALOG_DATA) public data: FormGroup
	) { }

	cancel() {
		this.dialogRef.close();
	}

	send() {
		this.dialogRef.close(this.data);
	}

	close() {
		this.dialogRef.close(false);
	}
}
